package VistaControlador;

import java.util.ArrayList;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class BarraOpciones extends JMenuBar{
	JMenu menuAr;
	JMenuItem cambiarRuta;
	JMenuItem guardarIns;
	JMenuItem exportarXML;
	JMenuItem importarXML;
	JMenu interfaz;
	JMenuItem modoOscuro;
	JMenuItem modoRosa;
	JMenuItem modoClaro;
	JMenu mostrar;
	JMenuItem mostrarTodo;
	JMenu vistas;
	JMenuItem gestion;
	JMenuItem modificacion;
	JMenuItem menuInterfaz;
	JMenuItem menuInforme;
	JMenu administracion;
	JMenuItem aniadirUsuario;
	
	/**
	 * Inicializa labarra con los datos por defecto
	 */
	public BarraOpciones() {
		this.menuAr = new JMenu("Archivo");
		this.menuAr.setToolTipText("exportar o importar los datos");
		this.add(this.menuAr);
		this.guardarIns = new JMenuItem("Guardar instantanea");
		this.guardarIns.setToolTipText("Guarda en un fcchero el estado actual del programa");
		this.menuAr.add(this.guardarIns);
		this.cambiarRuta = new JMenuItem("Cambiar ruta de guardado");
		this.cambiarRuta.setToolTipText("Configura donde se guardan los datos de tu programa");
		this.menuAr.add(this.cambiarRuta);
		this.exportarXML = new JMenuItem("Exportar en un XML");
		this.exportarXML.setToolTipText("Exporta los datos en formato xml");
		this.menuAr.add(this.exportarXML);
		this.importarXML = new JMenuItem("Importar en un XML");
		this.importarXML.setToolTipText("Importa los datos en formato xml");
		this.menuAr.add(this.importarXML);
		this.interfaz = new JMenu("Interfaz");
		this.interfaz.setToolTipText("elige tu tema preferido");
		this.add(this.interfaz);
		this.modoClaro = new JMenuItem("Modo claro");
		this.interfaz.add(this.modoClaro);
		this.modoOscuro = new JMenuItem("Modo Oscuro");
		this.interfaz.add(this.modoOscuro);
		this.modoRosa = new JMenuItem("Modo Rosa");
		this.interfaz.add(this.modoRosa);
		this.mostrar=new JMenu("Mostrar");
		this.mostrarTodo = new JMenuItem("Mostrar todo");
		this.mostrar.add(this.mostrarTodo);
		this.add(this.mostrar);
		this.vistas = new JMenu("Vista");
		this.vistas.setToolTipText("Elige la vista en la que quieres trabajar");
		this.add(this.vistas);
		this.gestion = new JMenuItem("Gestion");
		this.gestion.setToolTipText("Aniade gestiones y estudia sus datos");
		this.vistas.add(this.gestion);
		this.modificacion = new JMenuItem("Modificacion");
		this.modificacion.setToolTipText("Modifica los datos aniadidos");
		this.vistas.add(this.modificacion);
		this.menuInterfaz = new JMenuItem("Gestion tema");
		this.menuInterfaz.setToolTipText("Modifica de forma especifica cada elemento de la interfaz");
		this.vistas.add(this.menuInterfaz);
		this.menuInforme = new JMenuItem("Crear Informes");
		this.menuInforme.setToolTipText("Genera informes para ver los datos de cada usuario de forma simple");
		this.vistas.add(this.menuInforme);
		this.administracion = new JMenu("Administracion");
		this.administracion.setToolTipText("gestion de usuarios");
		this.add(this.administracion);
		this.aniadirUsuario = new JMenuItem("Aniadir usuario");
		this.aniadirUsuario.setToolTipText("crea un usuario con su contrasenia de forma segura");
		this.administracion.add(this.aniadirUsuario);
	}
}
